import request from "../index.js";
export function getDusterLeakNum() {
  return request({
    url: "/getDusterLeakNum",
    method: "get",
  });
}

export function getHealthPercent() {
  return request({
    url: "/getHealthPercent",
    method: "get",
  });
}

export function getCloseLoopNum() {
  return request({
    url: "/getCloseLoopNum",
    method: "get",
  });
}


export function getProductionLine(params) {
    return request({
      url: "/transaction/getProductionLine",
      method: "get",
      params,
    });
  }

  export function getDusterList(params) {
    return request({
      url: "/getDusterList",
      method: "get",
      params,
    });
  } 

  export function getVisDusterList(params) {
    return request({
      url: "/queryVisDusterList",
      method: "get",
      params,
    });
  }

  export function postAddDuster(params) {
    return request({
      url: "/addDuster",
      method: "post",
      data: params,
    });
  }

  export function postUpdateDuster(params) {
    return request({
      url: "/updateDuster",
      method: "post",
      data: params,
    });
  }

  export function getCompartAllocation(params) {
    return request({
      url: "/queryCompartAllocation",
      method: "get",
      params,
    });
  }

  export function postAddCompartAllocation(params) {
    return request({
      url: "/addCompartAllocation",
      method: "post",
      data: params,
    });
  }
  
  export function postAddValveInfo(params) {
    return request({
      url: "/addValveInfo",
      method: "post",
      data: params,
    });
  }

  export function getValveAllocation(params) {
    return request({
      url: "/queryValveAllocation",
      method: "get",
      params,
    });
  }